Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233736 - wfut: $RPM_OPT_FLAGS not used
Summary: wfut: $RPM_OPT_FLAGS not used
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: wfut
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Wart
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-24 10:44 UTC by Ville Skyttä
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-29 00:28:31 UTC


Attachments (Terms of Use)

Description Ville Skyttä 2007-03-24 10:44:54 UTC
wfut is built without $RPM_OPT_FLAGS.  I'm not 100% which of them are relevant
for gcj, but at least using them results in a more useful looking debuginfo
package.  Quick and dirty fix:


--- wfut.spec   1 Mar 2007 16:44:52 -0000       1.3
+++ wfut.spec   24 Mar 2007 10:44:26 -0000
@@ -19,6 +19,7 @@

 %prep
 %setup -q -n WFUT-%{version}
+sed -i -e 's/gcj -c/gcj $(RPM_OPT_FLAGS) -c/' src/Makefile.in

Comment 1 Wart 2007-03-24 14:24:53 UTC
Thanks for the report and the fix.  I'll take care of this when I return on
Thursday.

Comment 2 Wart 2007-03-29 00:28:31 UTC
Fixed in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.